const fs = require('fs')
const readline = require('readline')
const messages = require('./cuteMessages')

const colors = {
  blue: '\x1b[47m \x1b[34m %s \x1b[0m \x1b[0m',
  red: '\x1b[47m \x1b[31m %s \x1b[0m \x1b[0m'
}

const stream = readline.createInterface({
  input: process.stdin,
  output: process.stdout
})

const createFile = (fileName, content) => {
  fs.writeFile(fileName, content, { flag: 'wx' }, (err) => {
    if (err) {
      if (err.code === 'EEXIST') {
        console.error(colors.red,`${fileName} already exists.`)
        return
      } else {
        console.error(colors.red, err)
      }
    }

    console.log(colors.blue, `${fileName} created.`)
  })
}

const cwd = () => {
  const cwd = process.cwd()
  const lastSlashIndex = cwd.lastIndexOf('/') + 1
  return cwd.slice(lastSlashIndex)
}

const obj = { version: '0.0.1', scripts: {} }

const questions = [
  'Press ^C to quit.',
  `name: (${cwd()}) `,
  'entry point: (app.js) '
]

let answers = []

// console.log(questions[0])
// stream.question(questions[1], (answer) => {
//   answer = answer || cwd()
//   obj['name'] = answer

//   stream.question(questions[2], (answer) => {
//     answer = answer || 'app.js'
//     obj['scripts'].start = `node ${answer}`

//     createFile(answer, '')
//     createFile('package.json', JSON.stringify(obj, null, '\t'))

//     stream.close()
//   })
// })

createFile('app.js', '')
createFile('package.json', JSON.stringify(obj, null, '\t'))

const message = () => {
  const min = 0
  const max = messages.length
  const random = Math.floor(Math.random() * (max - min + 1)) + min
  return messages[random]
}

// stream.on('close', () => console.log(`\n${message()}`))
